Page MenuHomePhabricator

Verify view navigator works after BlueBerry merge
Open, LowPublic

Description

The view navigator might have some issues due to conflicts with the recent blueberry merge.

this should be verified and fixed

Event Timeline

Crashes have been reported in T18788

The fix for the crash on Re-Opening ViewNavigator is provided within the fix branch of T1849.

Still, the overall functionality should be verified after merge of the bug.

goetzm added a subscriber: goetzm.Mar 18 2015, 4:23 PM

Found some bugs:

  • View Navigator is not filled when its hitten at startup
  • Bold highlighting is not updated
zelzer added a subscriber: zelzer.Mar 18 2015, 4:29 PM

First issue is solved in T1849 already (not merge to master yet). General functionalitiy will also be restored within this bug.

New perspectives can be created by modifying existing ones and choosing "Save As", they can however not be deleted or renamed afterwards

There is new preference page which allows deletion of custom perspectives.

This is in line with the API and Eclipse way of things. The public BlueBerry API does not allow the deletion of perspectives, mostly to avoid the possibility of plug-ins tinkering with the set of custom perspectives. Deletion is an explicit user action.

Ok. In that case we might want to
a) allow the renaming (and editing?) in the preferences dialog
b) communicate that they can be edited there (Maybe a "manage perspectives" link in the context menu which opens the preferences page?)

ad a) I am not sure if that is easily possible. The name was used to generate the internal perspective id and I don't know if they need to stay correlated. I don't think there is an API (yet) to rename custom perspectives. A work-around is "Save As" and deleting the old one. Deleting currently open perspectives closes them however. Millions of Eclipse users seem to live just fine with the current functionality ;-) a Google search doesn't bring up much requests either.

ad b) Good idea. You could use the new command framework and use the org.blueberry.ui.window.preferences command with the preference page id as the execution argument to open the preferences dialog with the correct page visible. This will get easier when full menu contribution support has landed.

Does the current aim for T1849 include fixes for T18866 and T18389 ?

(In reply to Caspar Jonas Goch from comment #10)

Does the current aim for T1849 include fixes for T18866 and T18389 ?

18866: No, this looks view navigator specific

18389: Yes, this already works if the new command framework for the main application menu is enabled.

@Caspar, what are you going to to with this bug related to the upcoming release? I'll change the target milestone to AfterNextRelease. Change it back to 2015-03 if appropriate (meaning that it *will* be fixed in the next three workdays). :)

If not, is the View Navigator in a usable state currently?

As far as I can tell it is in a workable state. The issues mentioned in Comment 10 are annoyances at best and probably will take more than three days to be fixed anyway.

Technically this verification bug is now "fixed". I will however leave it open for discussions regarding the issues and possible others we might find in the near future. I will however downgrade the severity.

kislinsk edited projects, added MITK; removed MITK (2016-11).Feb 6 2017, 11:23 AM
kislinsk edited projects, added MITK (2018-04-4); removed MITK.Jan 9 2020, 2:52 PM
kislinsk edited projects, added MITK; removed MITK (2018-04-4).Tue, Feb 11, 4:42 PM